#ifndef _H_BDB40BDC9C8E3069662C1EFD18844E5F_BatteryState__H_
#define _H_BDB40BDC9C8E3069662C1EFD18844E5F_BatteryState__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"
#include "std_msgs/msg/dds_opensplice/Header_.h"


namespace sensor_msgs
{
    namespace msg
    {
        namespace dds_
        {
            const ::DDS::Octet BatteryState__POWER_SUPPLY_STATUS_UNKNOWN = 0;

            const ::DDS::Octet BatteryState__POWER_SUPPLY_STATUS_CHARGING = 1;

            const ::DDS::Octet BatteryState__POWER_SUPPLY_STATUS_DISCHARGING = 2;

            const ::DDS::Octet BatteryState__POWER_SUPPLY_STATUS_NOT_CHARGING = 3;

            const ::DDS::Octet BatteryState__POWER_SUPPLY_STATUS_FULL = 4;

            const ::DDS::Octet BatteryState__POWER_SUPPLY_HEALTH_UNKNOWN = 0;

            const ::DDS::Octet BatteryState__POWER_SUPPLY_HEALTH_GOOD = 1;

            const ::DDS::Octet BatteryState__POWER_SUPPLY_HEALTH_OVERHEAT = 2;

            const ::DDS::Octet BatteryState__POWER_SUPPLY_HEALTH_DEAD = 3;

            const ::DDS::Octet BatteryState__POWER_SUPPLY_HEALTH_OVERVOLTAGE = 4;

            const ::DDS::Octet BatteryState__POWER_SUPPLY_HEALTH_UNSPEC_FAILURE = 5;

            const ::DDS::Octet BatteryState__POWER_SUPPLY_HEALTH_COLD = 6;

            const ::DDS::Octet BatteryState__POWER_SUPPLY_HEALTH_WATCHDOG_TIMER_EXPIRE = 7;

            const ::DDS::Octet BatteryState__POWER_SUPPLY_HEALTH_SAFETY_TIMER_EXPIRE = 8;

            const ::DDS::Octet BatteryState__POWER_SUPPLY_TECHNOLOGY_UNKNOWN = 0;

            const ::DDS::Octet BatteryState__POWER_SUPPLY_TECHNOLOGY_NIMH = 1;

            const ::DDS::Octet BatteryState__POWER_SUPPLY_TECHNOLOGY_LION = 2;

            const ::DDS::Octet BatteryState__POWER_SUPPLY_TECHNOLOGY_LIPO = 3;

            const ::DDS::Octet BatteryState__POWER_SUPPLY_TECHNOLOGY_LIFE = 4;

            const ::DDS::Octet BatteryState__POWER_SUPPLY_TECHNOLOGY_NICD = 5;

            const ::DDS::Octet BatteryState__POWER_SUPPLY_TECHNOLOGY_LIMN = 6;

            struct  BatteryState_
            {
                struct _cell_voltage__seq_uniq_{};
                typedef DDS_DCPSUFLSeq< ::DDS::Float, struct _cell_voltage__seq_uniq_ > _cell_voltage__seq;
                typedef DDS_DCPSSequence_var< _cell_voltage__seq > _cell_voltage__seq_var;
                typedef DDS_DCPSSequence_out< _cell_voltage__seq > _cell_voltage__seq_out;
                ::std_msgs::msg::dds_::Header_ header_;
                ::DDS::Float voltage_;
                ::DDS::Float current_;
                ::DDS::Float charge_;
                ::DDS::Float capacity_;
                ::DDS::Float design_capacity_;
                ::DDS::Float percentage_;
                ::DDS::Octet power_supply_status_;
                ::DDS::Octet power_supply_health_;
                ::DDS::Octet power_supply_technology_;
                ::DDS::Boolean present_;
                _cell_voltage__seq cell_voltage_;
                ::DDS::String_mgr location_;
                ::DDS::String_mgr serial_number_;
            };

            typedef DDS_DCPSStruct_var<BatteryState_> BatteryState__var;
            typedef DDS_DCPSStruct_out < BatteryState_> BatteryState__out;

        }

    }

}

#endif /* _H_BDB40BDC9C8E3069662C1EFD18844E5F_BatteryState__H_ */
